# Generated by Django 2.1.2 on 2018-10-10 01:06

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Exterior',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('vigilancia', models.CharField(max_length=300)),
                ('parqueadero', models.CharField(max_length=300)),
                ('salon_social', models.BooleanField(null=True)),
                ('numero_pisos', models.IntegerField()),
            ],
            options={
                'verbose_name': 'Exterior',
                'verbose_name_plural': 'Exteriors',
            },
        ),
        migrations.CreateModel(
            name='General',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('direccion', models.CharField(max_length=300)),
                ('ciudad', models.CharField(max_length=300)),
                ('departamento', models.CharField(max_length=300)),
                ('pais', models.CharField(max_length=300)),
                ('telefono', models.CharField(max_length=300)),
            ],
            options={
                'verbose_name': 'General',
                'verbose_name_plural': 'Generals',
            },
        ),
        migrations.CreateModel(
            name='Inmueble',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tipo', models.CharField(max_length=300)),
                ('subtipo', models.CharField(max_length=300)),
                ('exterior', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api_inmobilio.Exterior')),
                ('general', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api_inmobilio.General')),
            ],
            options={
                'verbose_name': 'Inmueble',
                'verbose_name_plural': 'Inmuebles',
            },
        ),
        migrations.CreateModel(
            name='Interior',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cuartos', models.FloatField()),
                ('banios', models.IntegerField()),
                ('closets', models.IntegerField()),
                ('calentador', models.BooleanField(null=True)),
            ],
            options={
                'verbose_name': 'Interior',
                'verbose_name_plural': 'Interiors',
            },
        ),
        migrations.AddField(
            model_name='inmueble',
            name='interior',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api_inmobilio.Interior'),
        ),
    ]
